dofile("scripts/framework/compatibility/"..environment..".lua")
dofile("scripts/framework/inputs.lua")
dofile("scripts/framework/playTimer.lua")
dofile("scripts/framework/utils.lua")
dofile("scripts/framework/fonts.lua")
dofile("scripts/framework/gameUtils.lua")
dofile("scripts/framework/speechBubbles.lua")
dofile("scripts/framework/speech.lua")
dofile("scripts/framework/skins.lua")
dofile("scripts/framework/scoring.lua")
dofile("scripts/graphics/drawing/drawObjects.lua")
dofile("scripts/graphics/loading/loadAvatarImage.lua")
dofile("scripts/graphics/loading/loadCardImages.lua")
dofile("scripts/graphics/loading/loadIconImages.lua")
dofile("scripts/graphics/loading/loadMenuImages.lua")
dofile("scripts/graphics/loading/loadBubbleImages.lua")
dofile("scripts/graphics/loading/loadCursorImage.lua")
dofile("scripts/structure/manipulateStructure.lua")
dofile("scripts/structure/prepareStructure.lua")
dofile("scripts/structure/searchStructure.lua")
dofile("scripts/structure/saveStructure.lua")
dofile("scripts/menus/system/mainMenu.lua")
dofile("scripts/menus/system/yesNoMenu.lua")
dofile("scripts/menus/system/testMenu.lua")
dofile("scripts/menus/game/cancelPassAcceptMenu.lua")
dofile("scripts/menus/skins/skinMenu.lua")
dofile("scripts/menus/skins/chooseCarpetMenu.lua")
dofile("scripts/menus/skins/chooseCardsMenu.lua")
dofile("scripts/menus/skins/chooseAvatarMenu.lua")
dofile("scripts/menus/skins/chooseCursorMenu.lua")
dofile("scripts/menus/skins/chooseBubblesMenu.lua")
dofile("scripts/menus/skins/choosePlayersNumIconsMenu.lua")
dofile("scripts/menus/skins/chooseRanksIconsMenu.lua")
dofile("scripts/menus/skins/chooseStatesIconsMenu.lua")
dofile("scripts/menus/skins/chooseThemeMenu.lua")
dofile("scripts/menus/system/messageBox.lua")
dofile("scripts/menus/system/textInputMenu.lua")
dofile("scripts/menus/game/exchangeCardsMenu.lua")
dofile("scripts/menus/game/game.lua")
dofile("scripts/menus/game/highscores.lua")
--dofile("scripts/menus/game/gameDebug.lua")

dofile("scripts/AI/AICommons.lua")
--dofile("scripts/AI/basic/AI.lua")
dofile("scripts/AI/ok/AI.lua")
--dofile("scripts/AI/debug/AI.lua")

